%define anolis_release 2

%global git0 https://github.com/containers/%{name}

%global built_tag v1.11
%global built_tag_strip %(b=%{built_tag}; echo ${b:1})
%global gen_version %(b=%{built_tag_strip}; echo ${b/-/"~"})

%{!?_modulesloaddir:%global _modulesloaddir %{_usr}/lib/modules-load.d}

Name: fuse-overlayfs
Version: %{gen_version}
Release: %{anolis_release}%{?dist}
ExclusiveArch: %{arm64} ppc64le s390x x86_64 loongarch64
License: GPL-3.0-or-later
Summary: FUSE overlay+shiftfs implementation for rootless containers
URL: https://github.com/containers/%{name}
Source0: %{url}/archive/%{built_tag}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
Requires: fuse3
Requires: kmod
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: make
BuildRequires: systemd-rpm-macros
Provides: bundled(gnulib) = cb634d40c7b9bbf33fa5198d2e27fdab4c0bf143

%description
%{summary}.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -Sgit %{name}-%{built_tag_strip}

%build
./autogen.sh
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%{__make}

%install
%make_install
install -d %{buildroot}%{_modulesloaddir}
echo fuse > %{buildroot}%{_modulesloaddir}/fuse-overlayfs.conf
%generate_compatibility_deps

%post
modprobe fuse > /dev/null 2>&1 || :

%check

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_modulesloaddir}/fuse-overlayfs.conf
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc README.md

%changelog
* Mon Sep 25 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.11-2
- Add loongarch64 support

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.11-1
- init from upstream
